# List accounting scripts V1 List existing accounting scripts for your organization. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounting", "version": "1.0.0", "description": "API used to manage the accounting context.", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/accounting", "description": "Sandbox API server for testing" } ], "components": { "schemas": { "AccountingAccount": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "description": "Accounting account ID" }, "description": { "type": "string", "description": "Description of the accounting account", "maximum": 100 }, "account": { "type": "string", "description": "Accounting account number", "maximum": 50 }, "program_id": { "type": "integer", "format": "int64", "description": "Program ID" }, "created_at": { "type": "string", "format": "date-time", "description": "Date and time when the accounting account was created (ISO 8601)." }, "deactivated_at": { "type": "string", "format": "date-time", "description": "Date and time when the accounting account was deactivated (ISO 8601). Filled when the account is deactivated." } }, "example": { "id": 1, "description": "SAMPLE ACCOUNT", "account": "123123132-x", "program_id": 12, "created_at": "2021-10-10T10:10:00.000Z" } }, "AccountingScript": { "type": "object", "properties": { "credit_accounting": { "$ref": "#/components/schemas/AccountingAccount" }, "cost_center": { "$ref": "#/components/schemas/CostCenter" }, "debit_accounting": { "$ref": "#/components/schemas/AccountingAccount" }, "entry_name": { "type": "string", "description": "Base entry ID" }, "entry_type_id": { "type": "integer", "format": "int64", "description": "Related entry type ID" }, "event_type_id": { "type": "integer", "format": "int64", "description": "Related event type ID" }, "id": { "type": "integer", "format": "int64", "description": "Account script ID" }, "processing_code": { "type": "string", "description": "Processing code. When the script is based on a processing code, this field is **REQUIRED**." }, "program_id": { "type": "integer", "format": "int64", "description": "Related program ID" } } }, "CostCenter": { "required": [ "debit_org", "credit_org", "debit_cost", "credit_cost" ], "type": "object", "properties": { "debit_org": { "type": "string", "maximum": 50, "description": "Number of your Org’s debit accounting account" }, "credit_org": { "type": "string", "maximum": 50, "description": "Number of your Org’s credit accounting account" }, "debit_cost": { "type": "string", "maximum": 50, "description": "Number of the cost center of the debit accounting account" }, "credit_cost": { "type": "string", "maximum": 50, "description": "Number of the cost center of the credit accounting account" }, "deactivated_at": { "type": "string", "format": "date-time", "description": "Date and time when the cost center was deactivated (ISO 8601). Filled when the account is deactivated." } }, "example": { "debit_org": "999999", "credit_org": "999999", "debit_cost": "999999", "credit_cost": "999999", "deactivated_at": "2021-10-10T10:10:00.000Z" } }, "Page": { "type": "object", "properties": { "has_next": { "type": "boolean", "description": "Indicates if there are more items to be retrieved." }, "items": { "type": "array", "description": "Items retrieved from a given request.", "items": { "type": "object" } } } } }, "parameters": { "pageSize": { "in": "query", "name": "pageSize", "description": "Maximum number of accounting event types per page.", "schema": { "type": "integer" } }, "pageOffset": { "name": "pageOffset", "in": "query", "description": "Number to offset page resuts. For example, value `2` returns the third page. Defaults to `0`, which returns the first page.", "schema": { "type": "integer" } } } }, "tags": [ { "name": "Accounting scripts V1", "description": "Endpoints to manage accounting scripts V1" } ], "paths": { "/v1/accounting-scripts": { "get": { "operationId": "SearchAccountingScript", "summary": "List accounting scripts V1", "description": "List existing accounting scripts for your organization.", "tags": [ "Accounting scripts V1" ], "parameters": [ { "$ref": "#/components/parameters/pageSize" }, { "$ref": "#/components/parameters/pageOffset" }, { "in": "query", "name": "debitAccountingAccount", "description": "List all accounting scripts related to a debit accounting account", "schema": { "type": "string" } }, { "in": "query", "name": "creditAccountingAccount", "description": "List all accounting scripts related to a credit accounting account", "schema": { "type": "string" } }, { "in": "query", "name": "programId", "description": "List all accounting scripts related to a program", "schema": { "type": "integer", "format": "int64" } }, { "in": "query", "name": "eventTypeId", "description": "List all accounting scripts related to an event type", "schema": { "type": "integer", "format": "int64" } }, { "in": "query", "name": "entryTypeId", "description": "List all accounting scripts related to an entry type", "schema": { "type": "integer", "format": "int64" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "allOf": [ { "$ref": "#/components/schemas/Page" }, { "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/AccountingScript" } } } } ] } } } }, "400": { "description": "Bad request" } }, "deprecated": false } } } } ```